import argv from '../src/argv.js';

import { knexOwner as knex } from '../src/knex.js';
import { utilsApi } from '../src/manticore.js';
import { syncManticoreActors } from '../src/sync.js';

async function init() {
	if (argv.update) {
		await utilsApi.sql('drop table if exists actors');
		await utilsApi.sql(`create table actors(
			 id int,
			 name text,
			 aliases text,
			 slug string,
			 entity_id int,
			 alias_for int,
			 gender string,
			 date_of_birth timestamp,
			 country string,
			 has_avatar bool,
			 mass int,
			 height int,
			 cup string,
			 natural_boobs int,
			 penis_length int,
			 penis_girth int,
			 stashed int,
			 scenes int
		) min_prefix_len = '3'`);

		console.log('Recreated actors table, syncing actors...');

		const data = await syncManticoreActors();

		console.log('data', data);

		knex.destroy();

		return;
	}

	knex.destroy();
}

init();
